﻿#include "mainwindow.h"
#include <QTreeView>
#include <QFileSystemModel>
#include <QStringListModel>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    QStringList numbers;
    numbers << "One" << "Two" << "Three" << "Four" << "Five";

    QAbstractItemModel *model = new QStringListModel(numbers);
    QTreeView *tree = new QTreeView(this);
    tree->setModel(model);
    tree->setEditTriggers(tree->editTriggers() | QAbstractItemView::SelectedClicked);
    setCentralWidget(tree);
}

MainWindow::~MainWindow()
{

}
